import { getSentryCarrier } from "../carrier.js";
import { getStackAsyncContextStrategy } from "./stackStrategy.js";
//#region node_modules/@sentry/core/build/esm/asyncContext/index.js
function getAsyncContextStrategy(carrier) {
	const sentry = getSentryCarrier(carrier);
	if (sentry.acs) return sentry.acs;
	return getStackAsyncContextStrategy();
}
//#endregion
export { getAsyncContextStrategy };
